<?
  ##########################################
## Автор: Говно кодырь -=ШАХТЕР=-           #  
## Сайт: http://masteram.us ICQ  : 46-92-90 #
### Версия 4.0 Лицензионная                 #
## Данная версия скрипта являлась ПЛАТНОЙ,  #
## вы НЕ ИМЕЛИ ПРАВА распрострянять данный  #
## скрипт или какие-либо части его кода...  #
## А ТЕПЕРЬ СВСЕМ НА ЭТО ПОХУЙ!!!)))        #
  #########################################
require'../config.php';
$align='left';
$title='Анкета';
aut();
head();
levels(7);
who_add(0,'enter');




if(!isset($_GET['nick']) && isset($_SESSION['nick']))$nick = check($_SESSION['nick']);
else{ $nick = check($_GET['nick']);
$_SESSION['nick']=$_GET['nick'];
}

if (!user($nick))echo 'Такого юзера нет!<br />';
else{
$inf = $db->sql_fetchrow ($db->sql_query ("Select * from users where id='".user_inf($nick)."'"));
if (($inf[level]>$user[level])||$user[level]==$inf[level] && $user[id]!=$inf[id])echo 'Доступ закрыт!<br />';
else{

switch($mod){
default:
if ($_GET['i']==1)echo '<b>Изменения сохранены.</b><br />';
if ($_GET['i']==2)echo '<b>Ошибка. Сообщите администрации</b><br />';

echo '<br />&#187; <a href="profile?mod=osn">Основное</a><br/>';
echo '&#187; <a href="profile?mod=kont">Контакты</a><br/>';
echo '&#187; <a href="profile?mod=lich">Личное</a><br/>';
echo '&#187; <a href="profile?mod=obraz">Образование</a><br/>';
echo '&#187; <a href="profile?mod=val">Работа</a><br/>';
echo '&#187; <a href="profile?mod=military">Военная служба</a><br/>';
echo '&#187; <a href="profile?mod=photo">Фотография</a><br />';
echo '&#187; <a href="profile?mod=nastroi">Настроение</a><br />';
break;

case osn:
if (empty($act)){
if ($ver!='wml')echo '<form action="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';

echo '<br />Имя:<br /><input name="name" value="'.$inf['name'].'" maxlength="30" emptyok="false"/><br />';
echo 'Фамилия:<br /><input name="surname" value="'.$inf['surname'].'" maxlength="30" emptyok="false"/><br />';

echo 'Пол:<br />';
if($inf['sex'] == 1){
echo '<select name="sex">
<option value="1">Мужской</option>
<option value="0">Женский</option>
</select><br/>';
} else {
echo '<select name="sex">
<option value="0">Женский</option>
<option value="1">Мужской</option>
</select><br/>';
}
echo 'Семейное положение:<br /><select name="semia">
<option value="0">-Не выбрано-</option>
<option value="1">Не женат/Не замужем</option>
<option value="2">Есть подруга/Есть друг</option>
<option value="3">Помолвлен/Помолвлена</option>
<option value="4">Женат/Замужем</option>
<option value="5">Все сложно</option>
<option value="6">В активном поиске</option>
</select><br/>';

echo 'День рождения:<br/><input size="2" name="day" value="'.$inf['day'].'" maxlength="2" emptyok="false"/>-<input size="2" name="month" value="'.$inf['month'].'" maxlength="2" emptyok="false"/>-<input size="4" name="year" value="'.$inf['year'].'" maxlength="4" emptyok="false"/><br/>';

echo 'Страна:<br /><input name="country" value="'.$inf['country'].'" maxlength="50" emptyok="false"/><br />';
echo 'Город:<br /><input name="city" value="'.$inf['city'].'" maxlength="50" emptyok="false"/><br />';

echo 'Политические взгляды:<br /><select name="politic">
<option value="0">-Не выбраны-</option>
<option value="1">Индифферентные</option>
<option value="2">Коммунистические</option>
<option value="3">Социалистические</option>
<option value="4">Умереные</option>
<option value="5">Либеральные</option>
<option value="6">Консервативные</option>
</select><br/>';

echo 'Религиозные взгляды:<br /><input name="religia" value="'.$inf['religia'].'" maxlength="50" emptyok="false"/><br />';

if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="name" value="$name"/>
<postfield name="surname" value="$surname"/>
<postfield name="sex" value="$sex"/>
<postfield name="semia" value="$semia"/>
<postfield name="day" value="$day"/>
<postfield name="month" value="$month"/>
<postfield name="year" value="$year"/>
<postfield name="politic" value="$politic"/>
<postfield name="country" value="$country"/>
<postfield name="city" value="$city"/>
<postfield name="religia" value="$religia"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$name= check($_POST['name']);
$surname= check($_POST['surname']);
$sex= check(intval($_POST['sex']));
$semia= check(intval($_POST['semia']));
$day= check(intval($_POST['day']));
$month= check(intval($_POST['month']));
$year= check(intval($_POST['year']));
$politic= check(intval($_POST['politic']));
$country= check($_POST['country']);
$city= check($_POST['city']);
$religia= check($_POST['religia']);

if($db->sql_query('UPDATE `users` SET `name` = "'.$name.'", `surname` = "'.$surname.'", `sex` = "'.$sex.'", `semia` = "'.$semia.'", `day` = "'.$day.'", `month` = "'.$month.'", `year` = "'.$year.'", `politic` = "'.$politic.'", `city` = "'.$city.'", `country` = "'.$country.'", `religia` = "'.$religia.'" WHERE `id` = "'.$inf['id'].'"'))
{
header ('Location: profile?i=1&'.SID);  exit;
}else{
header ('Location: profile?i=2&'.SID);  exit;
}
}

break;

// Контакты
case kont:
if (empty($act)){
if ($ver!='wml')echo '<form action="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';

$mail0=explode('|',$inf['mail']);
echo '<br />Контактный Email:<br /><input name="mail" value="'.$mail0[0].'" maxlength="50" emptyok="false"/>';
echo 'Виден:<select name="vmail">
<option value="0">Всем</option>
<option value="1">Друзьям</option>
</select><br/><br />';
$mobtel0=explode('|',$inf['mobtel']);
echo 'Мобильный телефон:<br /><input name="mobtel" value="'.$mobtel0[0].'" maxlength="50" emptyok="false"/>';
echo 'Виден:<select name="vmobtel">
<option value="0">Всем</option>
<option value="1">Друзьям</option>
</select><br/><br />';
$hometel0=explode('|',$inf['hometel']);
echo 'Домашний телефон:<br /><input name="hometel" value="'.$hometel0[0].'" maxlength="50" emptyok="false"/>';
echo 'Виден:<select name="vhometel">
<option value="0">Всем</option>
<option value="1">Друзьям</option>
</select><br/><br />';
$icq0=explode('|',$inf['icq']);
echo 'ICQ:<br /><input name="icq" value="'.$icq0[0].'" maxlength="9" emptyok="false"/>';
echo 'Виден:<select name="vicq">
<option value="0">Всем</option>
<option value="1">Друзьям</option>
</select><br/><br />';
echo 'Личный сайт:<br /> http://<input name="site" value="'.$inf['site'].'" maxlength="50" emptyok="false"/><br />';


if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="mail" value="$mail"/>
<postfield name="vmail" value="$vmail"/>
<postfield name="mobtel" value="$mobtel"/>
<postfield name="vmobtel" value="$vmobtel"/>
<postfield name="hometel" value="$hometel"/>
<postfield name="vhometel" value="$vhometel"/>
<postfield name="icq" value="$icq"/>
<postfield name="vicq" value="$vicq"/>
<postfield name="site" value="$site"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$mail= check($_POST['mail']).'|'.check($_POST['vmail']);
$mobtel= check($_POST['mobtel']).'|'.check($_POST['vmobtel']);
$hometel= check($_POST['hometel']).'|'.check($_POST['vhometel']);
$icq= check($_POST['icq']).'|'.check($_POST['vicq']);
$site= check($_POST['site']);

if($db->sql_query('UPDATE `users` SET `mail` = "'.$mail.'", `mobtel` = "'.$mobtel.'", `hometel` = "'.$hometel.'", `icq` = "'.$icq.'", `site` = "'.$site.'" WHERE `id` = "'.$inf['id'].'"'))
{
header ('Location: profile?i=1&'.SID);  exit;
}else{
header ('Location: profile?i=2&'.SID);  exit;
}
}

break;

// Личное
case lich:
if (empty($act)){
if ($ver!='wml')echo '<form action="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
if ($ver=='wml'){
echo 'Деятельность:<br /><input name="deiat" value="'.text($inf['deiat'],false,true,false,false,false).'" emptyok="false"/><br />';
echo 'Интересы:<br /><input name="interes" value="'.text($inf['interes'],false,true,false,false,false).'" emptyok="false"/><br />';
echo 'Любимая музыка:<br /><input name="likemuz" value="'.text($inf['likemuz'],false,true,false,false,false).'" emptyok="false"/><br />';
echo 'Любимые фильмы:<br /><input name="likefil" value="'.text($inf['likefil'],false,true,false,false,false).'" emptyok="false"/><br />';
echo 'Любимые телешоу:<br /><input name="liketel" value="'.text($inf['liketel'],false,true,false,false,false).'" emptyok="false"/><br />';
echo 'Любимые книги:<br /><input name="likebook" value="'.text($inf['likebook'],false,true,false,false,false).'" emptyok="false"/><br />';
echo 'Любимые игры:<br /><input name="likegames" value="'.text($inf['likegames'],false,true,false,false,false).'" emptyok="false"/><br />';
echo 'Любимые цитаты:<br /><input name="likecit" value="'.text($inf['likecit'],false,true,false,false,false).'" emptyok="false"/><br />';
echo 'О себе:<br /><input name="infa" value="'.text($inf['infa'],false,true,false,false,false).'" emptyok="false"/><br />';

echo '<br /><anchor title="go">Сохранить<go href="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="deiat" value="$deiat"/>
<postfield name="interes" value="$interes"/>
<postfield name="likemuz" value="$likemuz"/>
<postfield name="likefil" value="$likefil"/>
<postfield name="liketel" value="$liketel"/>
<postfield name="likebook" value="$likebook"/>
<postfield name="likegames" value="$likegames"/>
<postfield name="likecit" value="$likecit"/>
<postfield name="infa" value="$infa"/>
</go></anchor>';
echo '<br/><br />';
}else{

echo 'Деятельность:<br /><textarea cols="'.$inf['pole2'].'" rows="'.$inf['pole1'].'" name="deiat" >'.$inf['deiat'].'</textarea><br />';
echo 'Интересы:<br /><textarea cols="'.$inf['pole2'].'" rows="'.$inf['pole1'].'" name="interes" >'.$inf['interes'].'</textarea><br />';
echo 'Любимая музыка:<br /><textarea cols="'.$inf['pole2'].'" rows="'.$inf['pole1'].'" name="likemuz" >'.$inf['likemuz'].'</textarea><br />';
echo 'Любимые фильмы:<br /><textarea cols="'.$inf['pole2'].'" rows="'.$inf['pole1'].'" name="likefil" >'.$inf['likefil'].'</textarea><br />';
echo 'Любимые телешоу:<br /><textarea cols="'.$inf['pole2'].'" rows="'.$inf['pole1'].'" name="liketel" >'.$inf['liketel'].'</textarea><br />';
echo 'Любимые книги:<br /><textarea cols="'.$inf['pole2'].'" rows="'.$inf['pole1'].'" name="likebook" >'.$inf['likebook'].'</textarea><br />';
echo 'Любимые игры:<br /><textarea cols="'.$inf['pole2'].'" rows="'.$inf['pole1'].'" name="likegames" >'.$inf['likegames'].'</textarea><br />';
echo 'Любимые цитаты:<br /><textarea cols="'.$inf['pole2'].'" rows="'.$inf['pole1'].'" name="likecit" >'.$inf['likecit'].'</textarea><br />';
echo 'О себе:<br /><textarea cols="'.$inf['pole2'].'" rows="'.$inf['pole1'].'" name="infa" >'.$inf['infa'].'</textarea><br />';

echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$deiat= check($_POST['deiat']);
$interes= check($_POST['interes']);
$likemuz= check($_POST['likemuz']);
$likefil= check($_POST['likefil']);
$liketel= check($_POST['liketel']);
$likebook= check($_POST['likebook']);
$likegames= check($_POST['likegames']);
$likecit= check($_POST['likecit']);
$infa= check($_POST['infa']);

if($db->sql_query('UPDATE `users` SET `deiat` = "'.$deiat.'", `interes` = "'.$interes.'", `likemuz` = "'.$likemuz.'", `likefil` = "'.$likefil.'", `liketel` = "'.$liketel.'", `likebook` = "'.$likebook.'", `likegames` = "'.$likegames.'", `likecit` = "'.$likecit.'", `infa` = "'.$infa.'" WHERE `id` = "'.$inf['id'].'"'))
{
header ('Location: profile?i=1&'.SID);  exit;
}else{
header ('Location: profile?i=2&'.SID);  exit;
}
}

break;

// Образование
case obraz:
if (empty($act)){
if ($ver!='wml')echo '<form action="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '<b>Здесь Вы можете указать школы,ВУЗы,ПТУ, в которых вы учились или учитесь.</b><br /><br />';
echo 'Страна:<br /><input name="obcoun" value="'.$inf['obcoun'].'" maxlength="50" emptyok="false"/><br />';
echo 'Город:<br /><input name="obcity" value="'.$inf['obcity'].'" maxlength="50" emptyok="false"/><br />';
echo 'Школа:<br /><input name="school" value="'.$inf['school'].'" maxlength="50" emptyok="false"/><br />';
echo 'ВУЗ:<br /><input name="vuz" value="'.$inf['vuz'].'" maxlength="50" emptyok="false"/><br />';
echo 'ПТУ:<br /><input name="ptu" value="'.$inf['ptu'].'" maxlength="50" emptyok="false"/><br />';

if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="obcoun" value="$obcoun"/>
<postfield name="obcity" value="$obcity"/>
<postfield name="school" value="$school"/>
<postfield name="vuz" value="$vuz"/>
<postfield name="ptu" value="$ptu"/>

</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$obcoun = check($_POST['obcoun']);
$obcity = check($_POST['obcity']);
$school = check($_POST['school']);
$vuz = check($_POST['vuz']);
$ptu = check($_POST['ptu']);

if($db->sql_query('UPDATE `users` SET `obcoun` = "'.$obcoun.'", `obcity` = "'.$obcity.'", `school` = "'.$school.'", `vuz` = "'.$vuz.'", `ptu` = "'.$ptu.'" WHERE `id` = "'.$inf['id'].'"'))
{
header ('Location: profile?i=1&'.SID);  exit;
}else{
header ('Location: profile?i=2&'.SID);  exit;
}
}

break;

// работа
case val:
if (empty($act)){
if ($ver!='wml')echo '<form action="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';

echo '<br />Страна:<br /><input name="valcoun" value="'.$inf['valcoun'].'" maxlength="50" emptyok="false"/><br />';
echo 'Город:<br /><input name="valcity" value="'.$inf['valcity'].'" maxlength="50" emptyok="false"/><br />';
echo 'Место работы:<br /><input name="val" value="'.$inf['val'].'" maxlength="50" emptyok="false"/><br />';
echo 'Год начала работы:<br /><input name="valyear1" value="'.$inf['valyear1'].'" maxlength="50" emptyok="false"/><br />';
echo 'Год окончания работы:<br /><input name="valyear2" value="'.$inf['valyear2'].'" maxlength="50" emptyok="false"/><br />';
echo 'Должность:<br /><input name="position" value="'.$inf['position'].'" maxlength="50" emptyok="false"/><br />';

if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="valcoun" value="$valcoun"/>
<postfield name="valcity" value="$valcity"/>
<postfield name="val" value="$val"/>
<postfield name="valyear1" value="$valyear1"/>
<postfield name="valyear2" value="$valyear2"/>
<postfield name="position" value="$position"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$valcoun = check($_POST['valcoun']);
$valcity = check($_POST['valcity']);
$val = check($_POST['val']);
$valyear1 = check($_POST['valyear1']);
$valyear2 = check($_POST['valyear2']);
$position = check($_POST['position']);

if($db->sql_query('UPDATE `users` SET `valcoun` = "'.$valcoun.'", `valcity` = "'.$valcity.'", `val` = "'.$val.'", `valyear1` = "'.$valyear1.'", `valyear2` = "'.$valyear2.'", `position` = "'.$position.'" WHERE `id` = "'.$inf['id'].'"'))
{
header ('Location: profile?i=1&'.SID);  exit;
}else{
header ('Location: profile?i=2&'.SID);  exit;
}
}

break;

//  Служба
case military:
if (empty($act)){
if ($ver!='wml')echo '<form action="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';

echo 'Страна:<br /><input name="milcoun" value="'.$inf['milcoun'].'" maxlength="50" emptyok="false"/><br />';
echo 'Войсковая часть:<br /><input name="milcity" value="'.$inf['milcity'].'" maxlength="50" emptyok="false"/><br />';

if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="milcoun" value="$milcoun"/>
<postfield name="milcity" value="$milcity"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$milcoun= check($_POST['milcoun']);
$milcity= check($_POST['milcity']);

if($db->sql_query('UPDATE `users` SET `milcoun` = "'.$milcoun.'", `milcity` = "'.$milcity.'" WHERE `id` = "'.$inf['id'].'"'))
{
header ('Location: profile?i=1&'.SID);  exit;
}else{
header ('Location: profile?i=2&'.SID);  exit;
}
}

break;

case photo:
echo '<b>Управление фото:</b><br/>';
if ($_GET['ok']==add)echo '<b>Фото успешно загружено.</b><br />';
if ($_GET['ok']==del)echo '<b>Фото успешно удалено.</b><br />';
if($_GET['act']==del){


if(@$db->sql_query ("Update users set photo ='', vote_photo='0' where id ='".$inf['id']."';")){
unlink (H.$inf['photo']);
echo "<b>Фото удалено.</b><br/>";
header ('Location: profile?mod=photo&ok=del&'.SID);exit;
}else{
echo "<b>Ошибка удаления фото.</b><br/>";
}

}
if($inf['photo']!=''){
echo '<img src="'.H.'photo_img?'.$inf['id'].'" alt="Фото"/><br />';
}
if($inf['photo']==NULL){
echo '<br />&#187; <a href="upload?mod=photo">Загрузить фото</a><br/>';

}else{
echo '<br />&#xbb;  <a href="profile?mod='.$mod.'&amp;act=del">Удалить фото</a><br/>';
}
break;




//  Настроение
case nastroi:
if (empty($act)){
if ($ver!='wml')echo '<form action="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';

echo 'Выберите настроение:<br /><select name="nastroi0">
<option value="'.$inf['nastroi'].'">'.$inf['nastroi'].'</option>
        <option value="">[Выключено]</option>
		<option value="Бодрое">Бодрое</option>
		<option value="Прекрасное">Прекрасное</option>
		<option value="Весёлое">Весёлое</option>
		<option value="Ангельское">Ангельское</option>
		<option value="Агрессивное">Агрессивное</option>
		<option value="Изумлённое">Изумлённое</option>
		<option value="Удивленное">Удивленное</option>
		<option value="Злое">Злое</option>
		<option value="Сердитое">Сердитое</option>
		<option value="Сонное">Сонное</option>
		<option value="Озлобленное">Озлобленное</option>
		<option value="Скучающее">Скучающее</option>
		<option value="Оживлённое">Оживлённое</option>
		<option value="Угрюмое">Угрюмое</option>
		<option value="Размышляющее">Размышляющее</option>
		<option value="Занятое">Занятое</option>
		<option value="Нахальное">Нахальное</option>
		<option value="Холодное">Холодное</option>
		<option value="Смущённое">Смущённое</option>
		<option value="Крутое">Крутое</option>
		<option value="Дерзкое">Дерзкое</option>
		<option value="Смутённое">Смутённое</option>
		<option value="Дьявольское">Дьявольское</option>
		<option value="Сварливое">Сварливое</option>
		<option value="Счастливое">Счастливое</option>
		<option value="Горячее">Горячее</option>
		<option value="Влюблённое">Влюблённое</option>
		<option value="Невинное">Невинное</option>
		<option value="Вдохновлённое">Вдохновлённое</option>
		<option value="Одинокое">Одинокое</option>
		<option value="Скрытое">Скрытое</option>
		<option value="Пушистое">Пушистое</option>
		<option value="Задумчивое">Задумчивое</option>
		<option value="Психоделическое">Психоделическое</option>
		<option value="Расслабленое">Расслабленое</option>
		<option value="Грустное">Грустное</option>
		<option value="Испуганное">Испуганное</option>
		<option value="Шокированное">Шокированное</option>
		<option value="Потрясенное">Потрясенное</option>
		<option value="Больное">Больное</option>
		<option value="Хитрое">Хитрое</option>
		<option value="Усталое">Усталое</option>
		<option value="Утомленное">Утомленное</option>
        </select><br/>';

echo 'или введите:<br /><input name="nastroi1" maxlength="50" emptyok="false"/><br />';

if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="nastroi0" value="$nastroi0"/>
<postfield name="nastroi1" value="$nastroi1"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$nastroi0= check($_POST['nastroi0']);
$nastroi1= check($_POST['nastroi1']);

if ($nastroi1!='')$nastroi = $nastroi1;
else $nastroi = $nastroi0;

if($db->sql_query('UPDATE `users` SET `nastroi` = "'.$nastroi.'" WHERE `id` = "'.$inf['id'].'"'))
{
header ('Location: profile?i=1&'.SID);  exit;
}else{
header ('Location: profile?i=2&'.SID);  exit;
}
}

break;


}
}}
echo '<br />';
if($mod)echo gb.'<a href="profile">Редактировать анкету</a>'.div;
echo gb.'<a href="users">Управление юзерами</a>'.div;
echo gb.'<a href="index">В админку</a><br />'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>

